import {Card} from "./Card";

class Hand {
    private limit: number = 5;
    private holdingCards: Card[] = [];

    receiveCard(card: Card) {
        if (this.holdingCards.length <= this.limit) {
            this.holdingCards.push(card)
        } else {
            console.log("Hand is full!")
        }
    }
    showCards(){
        for (let i = 0; i < this.holdingCards.length; i++){
            console.log(`Card# ${i}) `)
            this.holdingCards[i].show();
        }
    }
    changeCard(newCard: Card, i: number){
        this.holdingCards[i] = newCard;
    }
}